/**
 * Main5 部件模型
 *
 * @export
 * @class Main5Model
 */
export default class Main5Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main5Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibz5orderid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibz5ordername',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'orderuid',
        prop: 'orderuid',
        dataType: 'TEXT',
      },
      {
        name: 'ibz5ordername',
        prop: 'ibz5ordername',
        dataType: 'TEXT',
      },
      {
        name: 'ordertime',
        prop: 'ordertime',
        dataType: 'DATE',
      },
      {
        name: 'ibz5customername',
        prop: 'ibz5customername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'ordertype',
        prop: 'ordertype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'orderstate',
        prop: 'orderstate',
        dataType: 'SSCODELIST',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'ibz5orderid',
        prop: 'ibz5orderid',
        dataType: 'GUID',
      },
      {
        name: 'ibz5customerid',
        prop: 'ibz5customerid',
        dataType: 'PICKUP',
      },
      {
        name: 'ibz5order',
        prop: 'ibz5orderid',
        dataType: 'FONTKEY',
      },
    ]
  }

}