/**
 * ODSP_WFExpViewexpbar 部件模型
 *
 * @export
 * @class ODSP_WFExpViewexpbarModel
 */
export default class ODSP_WFExpViewexpbarModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof ODSP_WFExpViewexpbarModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'opinion',
      },
      {
        name: 'ibz5ordername',
      },
      {
        name: 'detailnum',
      },
      {
        name: 'updateman',
      },
      {
        name: 'createman',
      },
      {
        name: 'memo',
      },
      {
        name: 'wfinstanceid',
      },
      {
        name: 'ibz5order',
        prop: 'ibz5orderid',
      },
      {
        name: 'wfstep',
      },
      {
        name: 'ordertime',
      },
      {
        name: 'orderstate',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'createdate',
      },
      {
        name: 'starttime',
      },
      {
        name: 'orderuid',
      },
      {
        name: 'wfstate',
      },
      {
        name: 'tp',
      },
      {
        name: 'endtime',
      },
      {
        name: 'amount',
      },
      {
        name: 'ordertype',
      },
      {
        name: 'ibz5customername',
      },
      {
        name: 'ibz5customerid',
      },
    ]
  }


}