/**
 * UIPART_0006 部件模型
 *
 * @export
 * @class UIPART_0006Model
 */
export default class UIPART_0006Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof UIPART_0006Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibz5orderid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibz5ordername',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'srfwfmemo',
        dataType:'FORMITEM',
      },
      {
        name: 'ibz5orderid',
        prop: 'ibz5orderid',
        dataType: 'GUID',
      },
      {
        name: 'ibz5order',
        prop: 'ibz5orderid',
        dataType: 'FONTKEY',
      },
    ]
  }

}